Partio

Public Member Functions | Protected Member Functions | List of all members
Partio::ParticlesInfo Class Referenceabstract

Particle Collection Interface. More...

`#include <Partio.h>`

Inheritance diagram for Partio::ParticlesInfo:

## Public Member Functions
virtual void | release ()=0
virtual int | numParticles () const =0
| Number of particles in the structure.
virtual int | numAttributes () const =0
| Number of per-particle attributes.
virtual int | numFixedAttributes () const =0
| Number of fixed attributes.
virtual bool | attributeInfo (const char *attributeName, ParticleAttribute &attribute) const =0
| Lookup an attribute by name and store a handle to the attribute.
virtual bool | fixedAttributeInfo (const char *attributeName, FixedAttribute &attribute) const =0
| Lookup an attribute by name and store a handle to the attribute.
virtual bool | attributeInfo (const int index, ParticleAttribute &attribute) const =0
| Lookup an attribute by index and store a handle to the attribute.
virtual bool | fixedAttributeInfo (const int index, FixedAttribute &attribute) const =0
| Lookup an attribute by index and store a handle to the attribute.

## Protected Member Functions
virtual | ~ParticlesInfo ()

## Detailed Description

Particle Collection Interface.

This class provides ways of accessing basic information about particles, the number in the set, the attribute names and types, etc. No actual data can be read or written.

## Constructor & Destructor Documentation

## ◆ ~ParticlesInfo()

virtual Partio::ParticlesInfo::~ParticlesInfo | ( |  | ) |
| inline protected virtual

## Member Function Documentation

## ◆ attributeInfo() [1/2]

virtual bool Partio::ParticlesInfo::attributeInfo | ( | const char * | attributeName,
|  | ParticleAttribute & | attribute ) const
| pure virtual

Lookup an attribute by name and store a handle to the attribute.

## ◆ attributeInfo() [2/2]

virtual bool Partio::ParticlesInfo::attributeInfo | ( | const int | index,
|  | ParticleAttribute & | attribute ) const
| pure virtual

Lookup an attribute by index and store a handle to the attribute.

## ◆ fixedAttributeInfo() [1/2]

virtual bool Partio::ParticlesInfo::fixedAttributeInfo | ( | const char * | attributeName,
|  | FixedAttribute & | attribute ) const
| pure virtual

Lookup an attribute by name and store a handle to the attribute.

## ◆ fixedAttributeInfo() [2/2]

virtual bool Partio::ParticlesInfo::fixedAttributeInfo | ( | const int | index,
|  | FixedAttribute & | attribute ) const
| pure virtual

Lookup an attribute by index and store a handle to the attribute.

## ◆ numAttributes()

virtual int Partio::ParticlesInfo::numAttributes | ( |  | ) | const
| pure virtual

Number of per-particle attributes.

## ◆ numFixedAttributes()

virtual int Partio::ParticlesInfo::numFixedAttributes | ( |  | ) | const
| pure virtual

Number of fixed attributes.

## ◆ numParticles()

virtual int Partio::ParticlesInfo::numParticles | ( |  | ) | const
| pure virtual

Number of particles in the structure.

## ◆ release()

virtual void Partio::ParticlesInfo::release | ( |  | ) |
| pure virtual

Frees the memory if this particle set was created with create() or release() Reduces reference count if it was obtained with readCached() and if the ref count hits zero, frees the memory

The documentation for this class was generated from the following file:

- src/lib/Partio.h